Bug 14423 - [JustNeedsTest] CSS: style attributes on closing tags gets applied to element
Summary: [JustNeedsTest] CSS: style attributes on closing tags gets applied to element
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 523.x (Safari 3)
Hardware: Mac OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-26 16:07 PDT by Nicholas Shanks
Modified: 2010-10-09 13:21 PDT (History)
4 users (show)

See Also:


Attachments
Patch (9.00 KB, patch)
2010-10-08 19:27 PDT, Adam Barth
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nicholas Shanks 2007-06-26 16:07:30 PDT
from IRC:  "zcorpan: </p style=border:solid> -- opera and safari render a border, ie and firefox don't"
Comment 1 Simon Pieters 2007-06-26 17:35:11 PDT
The bug is that attributes on stray </p> and </br> are applied.

Test cases: http://simon.html5.org/test/html/parsing/stray-end-tags/with-attributes/

Spec diff: http://html5.org/tools/web-apps-tracker?from=960&to=961
Comment 2 Adam Barth 2010-10-08 18:55:45 PDT
We now pass all those tests thanks to the HTML5 parser.
Comment 3 Adam Barth 2010-10-08 19:27:49 PDT
Created attachment 70333 [details]
Patch
Comment 4 WebKit Commit Bot 2010-10-09 13:21:42 PDT
Comment on attachment 70333 [details]
Patch

Clearing flags on attachment: 70333

Committed r69455: <http://trac.webkit.org/changeset/69455>
Comment 5 WebKit Commit Bot 2010-10-09 13:21:48 PDT
All reviewed patches have been landed.  Closing bug.